summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/d-i_build.sh16
-rwxr-xr-xbin/lvc.sh16
2 files changed, 32 insertions, 0 deletions
diff --git a/bin/d-i_build.sh b/bin/d-i_build.sh
index 09903625..3c6540cc 100755
--- a/bin/d-i_build.sh
+++ b/bin/d-i_build.sh
@@ -91,6 +91,21 @@ preserve_pu_udebs() {
cp $WORKSPACE/../*.udeb $PU_BRANCH_DIR
}
+preserve_miniiso() {
+ #
+ # check if we built the images
+ #
+ IMAGETAR=../debian-installer-images_*.tar.gz
+ [ -f $IMAGETAR ] || return 0
+
+ TARGETGTK=/srv/d-i/isos/mini-gtk.iso
+ TARGETTEXT=/srv/d-i/isos/mini-text.iso
+
+ tar -xvzf $IMAGETAR --no-anchored mini.iso
+ mv -f installer-*/*/images/netboot/gtk/mini.iso $TARGETGTK # FIXME should probably include the data and the ARCH in the name, and if in a pu/ branch that as well
+ #mv installer-*/*/images/netboot/mini.iso $TARGETTEXT
+}
+
clean_workspace
#
# if $1 is not given, build the package normally,
@@ -99,6 +114,7 @@ clean_workspace
if [ "$1" = "" ] ; then
pdebuild_package
preserve_pu_udebs
+ preserve_miniiso
else
echo do something else ; exit 1
fi
diff --git a/bin/lvc.sh b/bin/lvc.sh
index 88dc3cc0..71aff242 100755
--- a/bin/lvc.sh
+++ b/bin/lvc.sh
@@ -11,6 +11,22 @@ common_init "$@"
# $1 = wget url/jigdo url
URL=$1 ; shift
+replace_origin_pu() {
+ PREFIX=$1 ; shift
+ BRANCH=$1 ; shift
+ expr "$BRANCH" : 'origin/pu/' >/dev/null || return 1
+ echo "${PREFIX}${BRANCH#origin/pu/}"
+}
+
+# if $URL is set to something that looks like a pu git branch, try to find the matching .iso
+if PU_ISO="$(replace_origin_pu "/srv/d-i/isos/mini-gtk-" $URL).iso" ; then
+ [ -f $PU_ISO ] || {
+ echo "looks like we're meant to be testing '$PU_ISO', but it's missing"
+ exit 1
+ }
+ URL=$PU_ISO
+fi
+
cleanup_all() {
find . -name \*.vlog.png -print0 | xargs -0 -r rm
echo "Trying to preserve last screenshot…"